<template>
  <div class="form-container">
    <input type="text" v-model="userName" placeholder="Name" />
    <input type="password" v-model="userPass" placeholder="Passwor" />
    <input type="email" v-model="userEmail" placeholder="Email" />
    <p className="error">{{ error }}</p>
    <button @click="sendData()">send</button>
    <User v-for="(el, index ) in users" :key="index" :user="el" :index="index" :deleteUser="deleteUser" />
      
  </div>
</template>

<script>
import User from './components/User.vue'

export default {
  components:{User},

  data() {
    return {
      users: [],
      error: "",
      userName: "",
      userPass: "",
      userEmail: "",
    };
  },
  methods: {
    sendData() {
      if (this.userName == "") {
        this.error = "Введите имя ";
        return;
      } else if (this.userPass == "") {
        this.error = "Введите пароль ";
        return;
      } else if (this.userEmail == "") {
        this.error = "Введите почту ";
        return;
      }
      this.users.push({
        name: this.userName,
        pass: this.userPass,
        email: this.userEmail,
      });
    },
    deleteUser(index){
      this.users.splice(index,1)
    }
  },
};
</script>

<style scoped>
.form-container {
  max-width: 400px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
}
input[type="text"],
input[type="password"],
input[type="email"],
button {
  width: 90%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

button {
  background-color: #4caf50;
  color: white;
  font-size: 16px;
  cursor: pointer;
}

button:hover {
  background-color: #45a049;
}

p {
  margin-top: 10px;
  font-size: 14px;
  color: #666;
}
</style>
